| Home | Libraries | People | FAQ | More

##### exterior_ring (const version)

Function to get the exterior ring of a polygon (const version)

###### Synopsis

    template<typename Polygon>
    ring_return_type<Polygon const>::type exterior_ring(Polygon const & polygon)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Polygon const & | polygon type | polygon | the polygon to get the exterior ring from

###### Returns

a const reference to the exterior ring

###### Header

Either

`#include <boost/geometry/geometry.hpp>`

Or

`#include <boost/geometry/core/exterior_ring.hpp>`